Usługa kladminserver zatrzymała się z błędem po aktualizacji Kaspersky Security Center 12.2 do wersji 13.2

 

Kaspersky Security Center 12

 
 
 

Usługa kladminserver zatrzymała się z błędem po aktualizacji Kaspersky Security Center 12.2 do wersji 13.2

Powrót do sekcji "Błędy"
Ostatnia aktualizacja: 02 listopada 2021 ID artykułu: 15814
 
 
 
 

Ten artykuł dotyczy:

  • Kaspersky Security Center 13.2 (wersja 13.2.0.1511)
  • Kaspersky Security Center 12.2 (wersja 12.2.0.4376)
 
 
 
 

Problem

Po zaktualizowaniu Kaspersky Security Center 12.2 do wersji 13.2 uruchomienie usługi kladminserver może się nie powieść. Dziennik będzie zawierał następujące zdarzenie:
Usługa „kladminserver” została zatrzymana ze względu na błąd #1950 (102) Generic db error: „102 'Incorrect syntax near '('.{42000};' LastStatement='EXEC grp_sync_subgroups'".

Przyczyna

Błąd występuje z powodu niepoprawnego poziomu kompatybilności z bazą danych, określonego w Microsoft SQL Server.

Rozwiązanie

Zmień poziom kompatybilności z bazą danych w Microsoft SQL Server przy użyciu polecenia:

ALTER DATABASE <nazwa bazy danych> SET COMPATIBILITY_LEVEL = <poziom kompatybilności>

Określ poziom kompatybilności w zależności od używanej wersji Microsoft SQL Server:

Wersja Microsoft SQL Server Poziom kompatybilności
2014 (12.x) 120
2016 (13.x) 130
2017 (14.x) 140
2019 (15.x) 150

Możesz także zmienić poziom kompatybilności z bazą danych za pośrednictwem SQL Management Studio. Więcej informacji znajdziesz na stronie internetowej firmy Microsoft.

 
 
 
 
 

Co zrobić, jeśli rozwiązanie nie pomogło?

 
 
 
 
Czy te informacje były pomocne?
Tak Nie
Dziękujemy
 

 
 

Jak możemy ulepszyć ten artykuł?

Twoja opinia zostanie wykorzystana tylko w celu udoskonalenia zawartości. Jeśli potrzebujesz pomocy, skontaktuj się z działem pomocy technicznej.

Wyślij Wyślij

Dziękujemy za Twoją opinię!

Twoje sugestie pomogą nam ulepszyć ten artykuł.

OK